interface Options {
    id: string;
    visible: boolean;
    disabled: boolean;
    disableEscapeClose: boolean;
}
/**
 * This hook is used to fix the nested overlays and the escape keypress when multiple
 * dialogs are rendered at the same time on a page. All it really does is keep a stack
 * of the dialog ids that are current visible. If there is more than 1 dialog visible
 * and the dialog is not at the top of the stack, the overlay and escape keypress will
 * be disabled.
 */
export default function useNestedDialogFixes({ id, visible, disabled, disableEscapeClose: propDisableEscapeClose, }: Options): {
    disableOverlay: boolean;
    disableEscapeClose: boolean;
};
export {};
